View Single Post
Old 04-20-2013, 10:44 AM   #6
kiwidude
calibre/Sigil Developer
kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.kiwidude ought to be getting tired of karma fortunes by now.
 
Posts: 4,224
Karma: 1334002
Join Date: Oct 2010
Location: London, UK
Device: Kindle Paperwhite 3G, iPad 3, iPad Air
Calibre will not attempt to load a plugin that has the appropriate supported_platforms set on it. Likewise the Plugin Updater plugin which is what parses the plugin index page also uses that same text from the plugin index page to prevent the user from being given the option to install the plugin if the list of supported OS does not include their own.

We don't actually have any plugins in the index that are not cross platform at the moment but if we were ever asked to add this plugin to the main index it wouldn't be an issue.
kiwidude is offline   Reply With Quote